/***************************************************************************
 begin                : Sat Mar 2 2002
 copyright            : (C) 2002 by Christian Hubinger
 email                : chubinger@irrsinnig.org
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMFCHAINEDIT_H
#define KMFCHAINEDIT_H
#include <tqobject.h>
#include <tqwidget.h>
#include "../core/kmfdoc.h"
#include "../core/iptchain.h"
#include "kmyfirewallchaineditor.h"
/**
  *@author Christian Hubinger
  */

namespace KMF {
class KMFChainEdit : public KMyFirewallChainEditor {
	Q_OBJECT
  
public:
	KMFChainEdit( TQWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~KMFChainEdit();

	void loadChain( IPTChain* );
public slots:
	void accept();
	void reject();
	void slotHelp();
private:
	IPTChain* m_chain;

signals:
	void documentChanged( KMFIPTDoc& );
	void sigDocumentChanged();
	void sigHideMe();
};
}
#endif
